Bug 1572214 - no check is performed while taging of nodes and devices in heketi
Summary: no check is performed while taging of nodes and devices in heketi
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: heketi
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Michael Adam
QA Contact: Nitin Goyal
URL:
Whiteboard:
Depends On:
Blocks: 1568862
TreeView+ depends on / blocked
 
Reported: 2018-04-26 12:30 UTC by Nitin Goyal
Modified: 2018-05-07 14:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-07 14:39:17 UTC
Target Upstream Version:


Attachments (Terms of Use)
output of node info with tags (950 bytes, text/plain)
2018-04-26 12:30 UTC, Nitin Goyal
no flags Details

Description Nitin Goyal 2018-04-26 12:30:05 UTC
Created attachment 1427191 [details]
output of node info with tags

Description of problem: heketi is taking wrong flags, There is no check is performed while giving tags


Version-Release number of selected component (if applicable): 6.0.0-11


How reproducible: 


Steps to Reproduce:
1. run command -> $ heketi-cli node rmtags 20a87aa39c95f59c4e2083600c42ae05 arniter:disabled

Actual results: It is taking arniter.


Expected results: It should not tahe arniter.

Comment 2 Nitin Goyal 2018-05-02 12:29:37 UTC
Please run this instead of the first one which i mentioned in Steps to Reproduce
# heketi-cli node settags 20a87aa39c95f59c4e2083600c42ae05 arniter:disabled

Comment 3 John Mulligan 2018-05-07 14:39:17 UTC
Hi, if you look at the upstream docs[1] of the tagging commands it is designed to take freeform values. So "arniter" is a valid, if useless, value. 

1: https://github.com/heketi/heketi/blob/master/docs/man/heketi-cli.8

If you think its worth it, please file a RFE for new options that verify the tag keys are special known values.


Note You need to log in before you can comment on or make changes to this bug.